> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get history

> Retrieve the history of the current user.



## OpenAPI

````yaml get /users/history
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /users/history:
    get:
      tags:
        - User History
      description: Retrieve the history of the current user.
      responses:
        '200':
          description: A list of user history records.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UserHistory'
      security:
        - Authentication: []
components:
  schemas:
    UserHistory:
      type: object
      description: Represents the history of user actions.
      properties:
        id:
          type: string
          description: Unique identifier for the user history record.
        user_id:
          type: string
          description: Unique identifier for the user.
        type:
          type: string
          enum:
            - created
            - updated
            - avatar_created
            - avatar_updated
            - avatar_removed
            - login_successful
            - login_failed
            - invite_created
            - invite_accepted
            - invite_rejected
            - token_refresh
            - user_workspace_member_add
            - user_workspace_member_remove
            - user_workspace_member_updated
            - user_account_member_updated
            - user_account_member_remove
          description: Type of the user action.
        record_id:
          type: string
          description: Identifier for the related record.
        data:
          type: number
          description: Additional data related to the user action.
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````